<div class="floating-action-button-container actionbutton-addprinter" ng-show="connection.online && cloud.connected">
  <a ng-click="go('/localprinters')">
    <div class="floating-action-button">
      <span class="icon icon-add"></span>
    </div>
  </a>
</div>

<div data-title="Installed Printers" class="rc-panel pink nopadding">
  <div class='rc-item no-icon' ng-hide="connection.online" data-title="No internet connection"></div>
  <div class='rc-item no-icon' ng-show="connection.online && !cloud.connected" data-title="Connecting to server..."></div>
  <div class='rc-item no-icon' ng-show="connection.online && cloud.connected && printers.length==0" ng-click="go('/localprinters')" data-title="Tap to add your printer..."></div>
  <div class='rc-item' data-icon-class="icon icon-3dprinter {{printer.statusClass}}" ng-show="connection.online" ng-click="openPrinter(printer)" ng-repeat="printer in printers | orderBy:['-online','-customName']" data-title="{{printer.customName}}"></div>
</div>
 
<div data-title="Find new objects" class="rc-panel blue nopadding">
  <div ng-hide="connection.online" class="rc-item no-icon" data-title="No internet connection"></div> 
  <div ng-show="connection.online" class="rc-item" data-icon-class="icon" data-icon-url="images/youmagine.png" data-title="youmagine.com" data-subtitle="share your imagination" ng-click="gotoYouMagine()"></div>
  <!-- <div ng-show="connection.online" class="rc-item" data-icon-class="icon" data-icon-url="images/3dknot.png" data-title="dev.companje.nl/stl" ng-click="openTestWebsite('http://dev.companje.nl/stl')"></div> -->
  <div ng-show="connection.online" class="rc-item" data-icon-class="icon" data-icon-url="images/robot.png" data-title="vase_2.stl" ng-click="openTestFile('https://d36c0vbvwjb9cx.cloudfront.net/uploads/document/file/21165/vase_2.stl')"></div>
  <div ng-show="connection.online" class="rc-item" data-icon-class="icon" data-icon-url="images/3dknot.png" data-title="coat_hook.stl" ng-click="openTestFile('https://d36c0vbvwjb9cx.cloudfront.net/uploads/document/file/9906/coat_hook.stl')"></div>
</div>      

<div data-title="Information" class="rc-panel black nopadding">
  <div class="rc-item no-icon" ng-click="go('/support')" data-title="Support"></div>
  <div class="rc-item no-icon" ng-click="go('/about')" data-title="About Ultimaker"></div>
</div>

<div data-title="Developer Info" class="rc-panel black">
  connection.online: {{connection.online}}<br>
  cloud.connected: {{cloud.connected}}<br>
  connection.wifi.connected: {{connection.wifi.connected}}<br>
  connection.wifi.ssid: {{connection.wifi.ssid}}<br>
  <br>
  <a ng-click="clearLocalStorage()" class="button">Clear localStorage</a>
</div>